FWD - Bug #3321

Usage of 'assert’ as a symbol name is translated to non-compilable code
08/12/2017 05:33 AM - Jaroslaw Haziak
Description

History

#1 - 08/12/2017 05:36 AM - Jaroslaw Haziak

Example:

DEF INPUT PARAM inParam AS CHAR NO-UNDO.
DEF OUTPUT PARAM ouResult AS CHAR NO-UNDO.

DEF VAR assert AS CHAR INIT

ouResult = inParam + assert.

'test'

Name 'assert' is translated to Java with no modification. And because 'assert' is a Java keyword, compilation fails.

#2 - 08/16/2017 06:54 PM - Eric Faulhaber
- File 3321_20170816a.patch added

Please let me know if the attached patch fixes this issue. | have compiled, but not tested it.

#3 - 08/16/2017 06:55 PM - Eric Faulhaber

- Assignee set to Eric Faulhaber

- Status changed from New to WIP

#4 - 08/24/2017 12:03 PM - Eric Faulhaber
The patch from #3321-2 was added to task branch 3293a, which was merged to FWD trunk revision 11160.

#5 - 10/03/2017 03:32 PM - Greg Shah

- % Done changed from 0 to 100

05/11/2024

1/2



https://proj.goldencode.com/issues/3321#note-2

The fix for this task is included in FWD v3.1 which was recently released. Download it from
https://proj.goldencode.com/projects/p2j/wiki/FWD_v3_1_0

Please let us know if this issue can be closed.

#6 - 10/03/2017 03:34 PM - Greg Shah
- Status changed from WIP to Test

Files

3321_20170816a.patch 813 Bytes 08/16/2017 Eric Faulhaber
